/*
 *Son La3 HP
 *17 octobre 2019
 *Prof-TC
 */

int DemiT;//Durée de la demi-période en micro-secondes
float freq;//Fréquence du son souhaité
void setup() {
  //Code s'exécutant une fois:
  pinMode(3, OUTPUT);//On définit la borne 3 en sortie
  freq = 440;//Réglage de la fréquence en hertz
  DemiT = 1 / freq / 2 * 1000000;//On calcule la demi-période en µs
}

void loop() {
  // Code principal s'exécutant plusieurs fois:
  //On passe à l'état haut pendant une demi-période
  digitalWrite(3, 1);
  delayMicroseconds(DemiT);
  //Fin de l'état haut
  //On passe à l'état bas pendant une demi-période
  digitalWrite(3, 0);
  delayMicroseconds(DemiT);
  //Fin de l'état bas
}
